admin:
  access_log_path: "/var/log/envoy_admin.log"
  address:
    socket_address:
      address: 0.0.0.0
      port_value: 8081

static_resources:

  listeners:
  - name: listener_0
    address:
      socket_address:
        address: 0.0.0.0
        port_value: 80
    filter_chains:
    - filters:
      - name: envoy.filters.network.http_connection_manager
        typed_config:
          "@type": type.googleapis.com/envoy.extensions.filters.network.http_connection_manager.v3.HttpConnectionManager
          generate_request_id: true
          tracing:
            provider:
              name: envoy.tracers.zipkin
              typed_config:
                "@type": type.googleapis.com/envoy.config.trace.v3.ZipkinConfig
                collector_cluster: zipkin
                collector_endpoint: "/api/v2/spans"
                collector_endpoint_version: HTTP_JSON
          codec_type: auto
          stat_prefix: ingress_http
          #http_filters:
          #- name: envoy.filters.http.router
          route_config:
            name: local_route
            virtual_hosts:
            - name: local_service
              domains: ["*"]
              routes:

              - match:
                  prefix: "/kyc_data"
                route:
                  cluster: UIDAI_EVE
                  timeout: 120s
                decorator:
                  operation: kyc-data                  

              - match:
                  prefix: "/users_json"
                route:
                  cluster: UIDAI_EVE
                  timeout: 120s
                decorator:
                  operation: kyc-json                  
              - match:
                  prefix: "/"
                route:
                  cluster: UIDAI_EVE
                  timeout: 120s
                decorator:
                  operation: uidai-eve

          http_filters:
          - name: envoy.filters.http.router


  clusters:
  - name: UIDAI_EVE
    connect_timeout: 30s
    type: LOGICAL_DNS
    # Comment out the following line to test on v6 networks
    dns_lookup_family: V4_ONLY
    circuit_breakers:
      thresholds:
      - priority: DEFAULT
        max_connections: 10000
        max_pending_requests: 10000
        max_requests: 10000
      - priority: HIGH
        max_connections: 10000
        max_pending_requests: 10000
        max_requests: 10000
    load_assignment:
      cluster_name: uidai-eve
      endpoints:
      - lb_endpoints:
        - endpoint:
            address:
              socket_address:
                address: 127.0.0.1
                port_value: 6004

  - name: zipkin
    connect_timeout: 1s
    type: strict_dns
    lb_policy: round_robin
    circuit_breakers:
      thresholds:
      - priority: DEFAULT
        max_connections: 2000
        max_pending_requests: 2000
        max_requests: 2000
      - priority: HIGH
        max_connections: 2000
        max_pending_requests: 2000
        max_requests: 2000
    load_assignment:
      cluster_name: zipkin
      endpoints:
      - lb_endpoints:
        - endpoint:
            address:
              socket_address:
                address: internal-dl-drive-internal-lb-2126527872.ap-south-1.elb.amazonaws.com
                port_value: 9411 